Skip to main content

Data

Endpoints for managing geoscience object data


Upload geoscience data

Geoscience Object API

Version: 1.21.4

Request to upload geoscience data.

The client provides names for the data they intend to upload and receives upload URLs for those that have not already been uploaded. This data name must a valid SHA256 hash or UUID. Calculating the SHA256 hash is recommended as it enables clients to avoid re-uploading duplicate data.

Each upload URL is secured with a SAS token and is valid for a limited time. If a URL has expired before the data upload is complete, simply repeat this request to obtain a new URL. Clients can use the new URL to continue uploading where they left off.

Multiple data names can be provided, with an upload URL generated for each data digest individually (up to a maximum of 32).

Parameters

authorizationstring
Required

Example: "b208a6c9-6881-4b97-b02d-acb5d81299bb"

The customer's organisation ID

workspace_iduuid
Required

Example: "032806a8-dcd7-11ed-8d5c-00155d8f28b5"

SHA256 digests or UUID of the data file(s) to be uploaded.

SHA256 or UUID "name" for the data blob. SHA256 is preferred as it allows other clients to deduplicate data.

[
{
"name": "string"
}
]

Returns

200

Successful Response

existsboolean

Server-generated unique identifier for the data

client-provided name for the data (SHA256 or UUID)

upload_urlstring | null

Endpoint

PUT
/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/data

Request

curl -X PUT 'https://{service_host}/geoscience-object/orgs/{org_id}/workspaces/{workspace_id}/data' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

[
{
"exists": true,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"upload_url": "string"
}
]

Was this page helpful?